com.h3c.util.pkt

## Class Dns.SoaData

- java.lang.Object
- - com.h3c.util.pkt.Dns.SoaData

- Enclosing class:
    Dns

      public static class Dns.SoaData
      extends Object

  DNS "Start Of Authority" resource data (immutable).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dns.SoaData(String nameServer, String email, long serial, long refreshSecs, long retrySecs, long expireSecs, long minTtl)` Creates "Start of Authority" resource data.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `email()` Returns Email address of the person responsible for this zone and to which email may be sent to report errors or problems.
    `long` | `expireSecs()` Returns the expiration time of when the zone data is no longer authoritative.
    `long` | `minTtl()` Returns the negative caching time (RFC 2308: the time a NAME ERROR/ NXDOMAIN result may be cached by any resolver).
    `String` | `nameServer()` Returns the name server that will respond authoritatively for the domain.
    `long` | `refreshSecs()` Returns the time interval in seconds when the slave will try to refresh the zone from the master.
    `long` | `retrySecs()` Returns the time between retries if the slave (secondary) fails to contact the master when refresh (above) has expired.
    `long` | `serial()` Returns the serial number of this record.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Dns.SoaData

          public Dns.SoaData(String nameServer,
                     String email,
                     long serial,
                     long refreshSecs,
                     long retrySecs,
                     long expireSecs,
                     long minTtl)

      Creates "Start of Authority" resource data.
      Parameters:
        `nameServer` - the name server
        `email` - the email name
        `serial` - the serial number
        `refreshSecs` - the refresh interval seconds
        `retrySecs` - the retry interval seconds
        `expireSecs` - the expiration time in seconds
        `minTtl` - the minimum time-to-live

  - ### Method Detail

    - #### nameServer

          public String nameServer()

      Returns the name server that will respond authoritatively for the domain.
      Returns:
        the authoritative name server

    - #### email

          public String email()

      Returns Email address of the person responsible for this zone and to which email may be sent to report errors or problems.
      Returns:
        the email address of the host-master.

    - #### serial

          public long serial()

      Returns the serial number of this record.
      Returns:
        the serial number.

    - #### refreshSecs

          public long refreshSecs()

      Returns the time interval in seconds when the slave will try to refresh the zone from the master.
      Returns:
        the refresh interval

    - #### retrySecs

          public long retrySecs()

      Returns the time between retries if the slave (secondary) fails to contact the master when refresh (above) has expired.
      Returns:
        the retry interval

    - #### expireSecs

          public long expireSecs()

      Returns the expiration time of when the zone data is no longer authoritative.
      Returns:
        the expiration time

    - #### minTtl

          public long minTtl()

      Returns the negative caching time (RFC 2308: the time a NAME ERROR/ NXDOMAIN result may be cached by any resolver).
      Returns:
        the negative caching time in seconds

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.